Get settings
curl --request GET \
--url https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accounting": {
"ledgerAccountIds": {
"payments": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"products": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"taxIds": {
"deductions": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"allowPurchaseOrderAutolinking": true,
"currency": {
"default": "<string>",
"exchangeRates": [
{
"base": "<string>",
"rate": 123,
"to": "<string>"
}
]
},
"defaultBankAccount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "BANK_DETAILS"
},
"documentIds": {
"documentTypePrefix": {
"creditNote": "<string>",
"deliveryNote": "<string>",
"invoice": "<string>",
"purchaseOrder": "<string>",
"quote": "<string>"
},
"includeDate": true,
"minDigits": 123,
"prefix": "<string>",
"separator": "-"
},
"documentRendering": {
"creditNote": {
"displayOrganizationBankAccount": true
},
"displayLineItems": true,
"displayOrganizationBankAccount": true,
"invoice": {
"displayOrganizationBankAccount": true
},
"lineItems": {
"discount": {
"display": true,
"label": "<string>"
},
"measureUnit": {
"display": true,
"label": "<string>"
},
"name": {
"display": true,
"label": "<string>"
},
"price": {
"display": true,
"label": "<string>",
"precision": 123
},
"priceAfterTax": {
"display": true,
"label": "<string>",
"precision": 123
},
"quantity": {
"display": true,
"label": "<string>"
},
"taxRate": {
"display": true,
"label": "<string>",
"precision": 123
},
"totalPrice": {
"display": true,
"label": "<string>",
"precision": 123
},
"totalPriceAfterTax": {
"display": true,
"label": "<string>",
"precision": 123
},
"vatAmount": {
"display": true,
"label": "<string>",
"precision": 123
}
},
"quote": {
"displayOrganizationBankAccount": true,
"displaySignature": true
}
},
"generatePaidInvoicePdf": true,
"language": "<string>",
"mail": {
"replyTo": [
"jsmith@example.com"
]
},
"payablesOcrAutoTagging": [
{
"enabled": true,
"keywords": [
"<string>"
],
"tagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"payablesSkipApprovalFlow": true,
"paymentPriority": "balanced",
"quoteSignatureRequired": true,
"receivableEditFlow": "compliant",
"reminder": {
"enabled": true
},
"taxInclusiveDiscountMode": "exclusive",
"taxMode": "exclusive"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Organizations
Get settings
Requires the organization_settings:read:org scope.
Token types: APP, USER | Required scopes: organization_settings:read:org
GET
/
identity
/
v1
/
organizations
/
{organizationId}
/
settings
Get settings
Authorizations
APPTokenUSERToken
Application (M2M) OAuth2 access token (client credentials).
Path Parameters
The organization ID.
Response
Returns the organization settings.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
balanced, bottom_line, working_capital Available options:
compliant, non_compliant, partially_compliant Show child attributes
Show child attributes
Available options:
exclusive, inclusive Available options:
exclusive, inclusive Was this page helpful?